Pikslid
GET https://qrcodemonkey.net/api/pixels/
curl --request GET \
--url 'https://qrcodemonkey.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parameetrid | Üksikasjad | Kirjeldus |
|---|---|---|
| search | Valikuline Sõne | Otsinguteksti |
| search_by | Valikuline Sõne | Millise välja järgi otsida. Lubatud väärtused: name , pixel |
| type | Valikuline Sõne | Lubatud väärtused |
| order_by | Valikuline Sõne | Millise välja järgi tulemusi järjestada. Lubatud väärtused: pixel_id , datetime , last_datetime , name |
| order_type | Valikuline Sõne | Tulemuste järjestus. Lubatud väärtused: ASC kasvavalt ja DESC kahanevalt |
| page | Valikuline Täisarv | Lehekülje number, millest tulemusi soovid. Vaikimisi 1 |
| results_per_page | Valikuline Täisarv | Mitu tulemust lehe kohta. Lubatud väärtused: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Vaikimisi 25 |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-02 00:46:12",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/pixels?page=1",
"last": "https://qrcodemonkey.net/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/pixels?page=1"
}
}
GET https://qrcodemonkey.net/api/pixels/{pixel_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-02 00:46:12",
}
}
POST https://qrcodemonkey.net/api/pixels
| Parameetrid | Üksikasjad | Kirjeldus |
|---|---|---|
| type | Nõutud Sõne | Lubatud väärtused |
| name | Nõutud Sõne | - |
| pixel | Nõutud Sõne | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://qrcodemonkey.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/pixels/{pixel_id}
| Parameetrid | Üksikasjad | Kirjeldus |
|---|---|---|
| type | Valikuline Sõne | Lubatud väärtused |
| name | Valikuline Sõne | - |
| pixel | Valikuline Sõne | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \